using PARR.DAL.Context;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces;

namespace PARR.DAL.Services.Implementations
{
    internal class RobotStatusService : IRobotStatusService
    {
        private readonly DataContext dataContext;

        public RobotStatusService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<RobotStatus> Get()
        {
            return dataContext.RobotStatuses;
        }
    }
}
